package net.mc_pandacraft.java.plugin.pandacraftutils.listener;

import net.mc_pandacraft.java.plugin.pandacraftutils.PandacraftUtils;

import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageByEntityEvent;
import org.bukkit.event.entity.EntityTameEvent;
import org.bukkit.event.entity.ExpBottleEvent;

public class EntityListener implements Listener {
	private PandacraftUtils plugin = PandacraftUtils.getInstance();
	
	

	public EntityListener()
	{
        plugin.getServer().getPluginManager().registerEvents(this, plugin);
	}
	
	
	
	
	
	
	
	
	

	@EventHandler(ignoreCancelled=false,priority=EventPriority.NORMAL)
	public void onExpBottle(ExpBottleEvent event) {
		plugin.entitySpamManager.onExpBottle(event);
	}
	
	
	
	
	
	

	@EventHandler(ignoreCancelled=false,priority=EventPriority.NORMAL)
	public void onEntityTame(EntityTameEvent event) {
		plugin.tamedEntityProtectManager.onEntityTame(event);
	}
	
	
	
	
	
	
	

	@EventHandler(ignoreCancelled=false,priority=EventPriority.NORMAL)
	public void onEntityDamage(EntityDamageByEntityEvent event) {
		plugin.tamedEntityProtectManager.onEntityDamage(event);
	}
	

}
